Skip to main content
Operations Management/Tenant Management (Plus)/Ticket Operations
GETTicket OperationsSince 3.0.0SynchronousAuth Required

QueryTicketFlow

QueryTicketFlow

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • parentFlowUuidStringRequired

      No description provided.

    • flowContextStringRequired

      No description provided.

    • flowContextTypeStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • collectionUuidStringRequired

      采集UUID。

Endpoint

GET/zstack/v1/tickets/flow

/zstack/v1/tickets/flow

Operation ID

QueryTicketFlow

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/tickets/flow' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "ea0457b5994a4710a182015cef690d75", "name": "flow1", "description": "flow description", "parentFlowUuid": "8d7b4b6b72bf4ff2bcf945b313320dc1", "flowContextType": "{\"approverUuid\":\"139bcc292cb141bea1e8d40bf8bbaed9\"}", "createDate": "Dec 28, 2018 6:39:29 PM", "lastOpDate": "Dec 28, 2018 6:39:29 PM", "collectionUuid": "a87c7cb15468456dbce88da5f65c0073" }, { "uuid": "8d7b4b6b72bf4ff2bcf945b313320dc1", "name": "flow2", "description": "flow description", "flowContextType": "{\"approverUuid\":\"1cc3e1575809468dba5cedcfe8cc5a4c\"}", "createDate": "Dec 28, 2018 6:39:29 PM", "lastOpDate": "Dec 28, 2018 6:39:29 PM", "collectionUuid": "a87c7cb15468456dbce88da5f65c0073" } ] }

Change History

This API has no change history records yet.

View all change history